Fog Creek Software
Discussion Board




Mysql DB versions?  Update procedure?

The mysql db that was installed with FogBugz php v3.1.19 says it is version 328 (same as what I got when I installed v3.1.15) but it looks like it has a new table, 'scout'. 

Is it safe for me to wipe out the default v3.1.19 db with a copy of my old v3.1.15 db?

(BTW, I think the FogBugz site is pretty confusing to use for support issues.  It would be great it you had links to all your release versions, along with the change history.  A searchable KB would be great too.)

Isaac
Wednesday, March 31, 2004

Here's the "what's new" list, it gets updated every release:

http://www.fogcreek.com/FogBUGZ/KB/setup/ChangesinPHPupdate.html

Dmitri
Fog Creek Software
Thursday, April 01, 2004

And we will be adding search to the KB as soon as possible. I'm interested to heart any other suggestions for the support area you have... what was missing from it?

Dmitri
Fog Creek Software
Thursday, April 01, 2004

It's safe to delete your new default db (from the new install) and then point FB to your old db and log in to let FB do the update to that old db.

Dmitri
Fog Creek Software
Thursday, April 01, 2004

OK, I deleted the default db and replaced it with the older one, and now fogbugz gives the error:

An internal error occurred in FogBUGZ. Please report this error to Fog Creek Software by clicking "Submit."

File:     /Library/WebServer/fogbugz/Website/ThistleCRecordset.php
Line:     37
Error:     Cannot use a scalar value as an array
Browser:     Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.5) Gecko/20031007
Number:     0x2
URL:     /fogbugz/
Time:     2004-04-13 04:54:47

Isaac
Tuesday, April 13, 2004

Update to 3.1.21 (The bug fix is in there).

http://www.fogcreek.com/FogBUGZ/KB/setup/ChangesinPHPupdate.html

Michael H. Pryor
Fog Creek Software
Wednesday, April 14, 2004

*  Recent Topics

*  Fog Creek Home